function [dataNew,indCondNew,ctCondNew] = COVAIN_dataMapping(dataOld,indCond,ctCond,seqInput)
% function [dataNew,indCondNew,ctCondNew] = COVAIN_dataMapping(dataOld,indCond,ctCond,seqInput)
% dataOld: data before mapping
% indCond: mapping vector
% ctCond: count of each rep
% seqInput: accept the user's input

dataNew = dataOld;
indCondNew = indCond;
ctCondNew = ctCond;
if nargin == 4
    if length(seqInput) ~= length(indCond)
        warndlg('Your input is wrong! Keep original data sequence.');
    else
        indCond = seqInput;
        tmp = ctCond;
        for i=1:lenth(indCond)
            tmp(i) = ctCond(seqInput(i));
        end
        ctCond = tmp;
        ctCondNew = tmp;
        clear tmp;
    end
end

for i=1:length(indCond)
    if i==1
        dataNew(:,1:ctCond(i)) = dataOld(:,indCond(i):indCond(i)+ctCond(i)-1);
        indCondNew(i) = 1;
    else
        loc = sum(ctCond(1:i-1)) + 1;
        dataNew(:,loc:loc+ctCond(i)-1) = dataOld(:,indCond(i):indCond(i)+ctCond(i)-1);
        indCondNew(i) = loc;
    end
end
