function COVAIN_exit(obj,evt)
% delete obj and stop parallel computing

dataStruct = guidata(obj);
parVer = dataStruct.parVer;
if strcmp(parVer,'X')
    delete(obj); 
elseif strcmp(parVer,'Old')
    matlabpool close; delete(obj);
elseif strcmp(parVer,'New')
    p = gcp('nocreate');
    if any(size(p))
        delete(gcp);
    end
    delete(obj);
end