function COVAIN_loadCov(obj,evt)
%
% data must be loaded seperately

h1 = get(obj,'Parent'); % hPanel_Jacobian
h2 = get(h1,'Parent'); % hPanel_topo
h3 = get(h2,'Parent'); % hPanel_dataAnalysis
h4 = get(h3,'Parent'); % hPanel_Main

dataStruct = guidata(h4);
if dataStruct.loadNumber == 0
    return;
end
currentData = dataStruct.dataset(dataStruct.current).dataInfo;

    if strcmp(get(obj,'Tag'),'button_covInput1')
        answer = inputdlg('Choose index(number) of data 1');
        answerX = str2double(answer);
        if ~isempty(answer)
            if answerX > dataStruct.loadNumber
                warning('No such data!'); return;
            else
                currentData.covInput1 = cov(dataStruct.dataset(answerX).dataInfo.data');
                currentData.cov1_OK = 1;
            end
        else
            return;
        end
    else
        answer = inputdlg('Choose index(number) of data 2');
        answerX = str2double(answer);
        if ~isempty(answer)
            if answerX > dataStruct.loadNumber
                warning('No such data!'); return;
            else
                currentData.covInput2 = cov(dataStruct.dataset(answerX).dataInfo.data');
                currentData.cov2_OK = 1;
            end
        else
            return;
        end
    end

dataStruct.dataset(dataStruct.current).dataInfo = currentData;
guidata(h4,dataStruct);






