% pure function, not associate with objects
function localDist = COVAIN_strDist(s1, s2)

m = length(s1);
n = length(s2);
d = zeros(m + 1, n + 1); % size: m+1-by-n+1
d(:,1) = (0:m)';
d(1,:) = 0:n;
sA = double(s1); sB = double(s2);

for j = 1:n
    for i = 1:m
        %if(strcmpi(s1(i),s2(j)) == 1)
        if sA(i) == sB(j)
            d(i+1,j+1) = d(i,j);
        else
            d(i+1,j+1) = min([d(i,j+1) + 1, d(i+1,j) + 1, d(i,j) + 1]);
        end
    end
end
localDist = d(m+1,n+1);