function COVAIN_PCnumber(obj,evt)

h = findobj('Tag','covainPanel_TOP');
dataStruct = guidata(h);
currentData = dataStruct.dataset(dataStruct.current).dataInfo;

num = str2num(get(obj,'String'));
if length(num)>1 || isnan(num)
    hErr = errordlg('please input a scalar.');
    uiwait(hErr);
    uicontrol(obj);
elseif num < 2 || num > 5
    hErr = errordlg('PC number must be between [2,5]');
    uiwait(hErr)
    uicontrol(obj);
end

currentData.PCnumber = num;

% update guidata
dataStruct.dataset(dataStruct.current).dataInfo = currentData;
guidata(h,dataStruct);

