function COVAIN_labelICA(obj,evt)
% label PCA/ICA subs names

h = findobj('Tag','covainPanel_TOP');
dataStruct = guidata(h);
if dataStruct.loadNumber == 0
    return;
end
names = dataStruct.dataset(dataStruct.current).dataInfo.subs;

if isempty(get(0,'CurrentFigure')) || ...
        strncmp(get(gcf,'Name'),'ICA loading',length('ICA loading')) ~= 1
    hFig = findobj('-regexp','name','ICA loading');
    if ~isempty(hFig)
        figure(hFig(1));
        gname(names);
    end
else
    gname(names);
end
