function COVAIN_loadStoi(obj,evt)

h1 = get(obj,'Parent'); % hPanel_Jacobian
h2 = get(h1,'Parent'); % hPanel_topo
h3 = get(h2,'Parent'); % hPanel_dataAnalysis
h4 = get(h3,'Parent'); % hPanel_Main

dataStruct = guidata(h4);
if dataStruct.loadNumber == 0
    return;
end
currentData = dataStruct.dataset(dataStruct.current).dataInfo;
[rawFileName,rawFilePath] = uigetfile([currentData.openPath,'.txt']);
if rawFileName > 0
    stoi = load(strcat(rawFilePath,rawFileName)); % txt format
    currentData.stoi_OK = 1;
    currentData.Stoi = stoi;
    if isempty(findstr('glycolysis',rawFileName))
        currentData.StoiNew = ze(stoi);
        currentData.mName = currentData.subs;
    else
        currentData.StoiNew = stoi;
        currentData.mName = currentData.subs;
    end
end
dataStruct.dataset(dataStruct.current).dataInfo = currentData;
guidata(h4,dataStruct);

