function COVAIN_radioSelect(obj,evt)

h1 = get(obj,'Parent');  % hPanel_dataInfo
h2 = get(h1,'Parent');   % hPanel_Main

dataStruct = guidata(h2);
if dataStruct.loadNumber == 0
    return;
end
currentData = dataStruct.dataset(dataStruct.current).dataInfo;

if strcmp(get(get(obj,'SelectedObject'),'Tag'),'radio_tableSelect_1')==1
    currentTable = currentData.sample;
    currentTableColName = currentData.sampleName;
    currentTableRowName = currentData.subs;
    set(findobj(h2,'Tag','table_preview'),'Data',currentTable,...
        'ColumnName',currentTableColName,'RowName',currentTableRowName,...
        'Enable','on');
    currentData.whichTable = 1;
elseif strcmp(get(get(obj,'SelectedObject'),'Tag'),'radio_tableSelect_2')==1
    currentTable = currentData.table;
    currentTableColName = currentData.cond;
    currentTableRowName = currentData.subs;
    set(findobj(h2,'Tag','table_preview'),'Data',currentTable,...
        'ColumnName',currentTableColName,'RowName',currentTableRowName,...
        'Enable','on');
    currentData.whichTable = 2;
elseif strcmp(get(get(obj,'SelectedObject'),'Tag'),'radio_tableSelect_3')==1
    currentTable = (currentData.sample)';
    currentTableColName = currentData.subs;
    currentTableRowName = currentData.sampleName;
    set(findobj(h2,'Tag','table_preview'),'Data',currentTable,...
        'ColumnName',currentTableColName,'RowName',currentTableRowName,...
        'Enable','on');
    currentData.whichTable = 3;
elseif strcmp(get(get(obj,'SelectedObject'),'Tag'),'radio_tableSelect_4')==1
    currentTable = (currentData.table)';
    currentTableColName = currentData.subs;
    currentTableRowName = currentData.cond;
    set(findobj(h2,'Tag','table_preview'),'Data',currentTable,...
        'ColumnName',currentTableColName,'RowName',currentTableRowName,...
        'Enable','on');
    currentData.whichTable = 4;
end
% update guidata
dataStruct.dataset(dataStruct.current).dataInfo = currentData;
guidata(h2,dataStruct);
